---
title: Processor Plugins
---

import DocCardList from '@theme/DocCardList';

Processor plugins typically modify the SBOM or its components, or generate outputs
that are not tied to collecting & bundling.  For example, filter plugins can add or remove components in the delivered SBOM,
and report plugins can provide summary information about a portion of a Hoppr run (e.g. security vulnerabilities).
The current library of core Hoppr Processors:
    
<DocCardList />